Subject: bug#76976: Mutter build failure

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 13 Mar 2025 10:43:25 +0900

Hi,

Andreas Enge <[email-masked]> writes:

> Hello,
>
> when trying to upgrade my system, I see the following build failure:
>
> ...
> Summary of Failures:
>
> 135/191 mutter:core+mutter/backends/native / native-unit FAIL 0.33s
> killed by signal 6 SIGABRT
>
> Ok:                 185
> Expected Fail:      5
> Fail:               1
> Unexpected Pass:    0
> Skipped:            0
> Timeout:            0
> ...
> guix build: Fehler: build of `/gnu/store/fx8ya4jhrdjw3a1bm5g3fjx301rzmxkn-mutter-46.8.drv' failed
>
> If guix tried to build it locally, that is because it is not available
> on the bordeaux build farm.
>
> I do not even use Gnome, just gdm as a login manager for an XFCE
> environment, and not being able to upgrade is quite serious.
> My previous, working system comes from commit
> 3d34fde47f9039fcecbb338e45782722f10e5e36 .
> So supposedly this comes from the recent gnome-team merge.

CI has a substitute for it; don't you use substitutes from Berlin as
well as Bordeaux? (that is the default).

W.r.t. the problem at hand, I've just rebuilt Mutter 5 times on my
machine (and had done so at least 10s of times as part of the gnome
updates to squash out test failures) without this test failing, so I
assume its timing sensitive.

Are you able to reproduce at will?  Could you please share the detailed
output of the error; you've posted only the summary of the test suite.

-- 
Thanks,
Maxim